%global with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}
%global vershort 465

Name:		SevenZip
Summary:	Java SDK for LZMA
URL:		http://www.7-zip.org/sdk.html
Source0:	http://downloads.sourceforge.net/sevenzip/lzma%{vershort}.tar.bz2
Group:		System Environment/Libraries
Version:	4.65
Release:	2%{?dist}
License:	Public Domain
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	java-devel >= 1.5
BuildRequires:	jpackage-utils

%if %{with_gcj}
BuildRequires:	java-gcj-compat-devel >= 1.0.31
Requires(post):	java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildArch:	noarch
%endif

Requires:	java >= 1.5
Requires:	jpackage-utils


%description
%{name} is the Java version of LZMA compressing and decompressing SDK.

%package javadoc
Summary:	Javadocs for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}
Requires:	jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -c 
rm -f lzma.exe
# Fix weird permissions and encoding
for file in java txt; do
   find . -name "*.$file" -exec chmod -x {} \;
done
for file in *.txt; do
   sed 's|\r||' $file > $file.tmpfile
   iconv --from=ISO88591 --to=UTF8 $file.tmpfile -o $file.tmpfile2
   touch -r $file $file.tmpfile2
   mv -f $file.tmpfile2 $file
done


%build
pushd Java
   %javac `find %{name}/ -name '*.java'`
   %jar cf %{name}.jar `find %{name}/ -name '*.class'`
   %javadoc -d doc -public `find %{name}/ -name '*.java'`
popd

%install
rm -rf %{buildroot}
# jars
install -dm 755 %{buildroot}%{_javadir}
install -pm 644 Java/%{name}.jar \
	%{buildroot}%{_javadir}/%{name}-%{version}.jar
pushd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
	done
popd

# javadoc
install -dm 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr Java/doc/* %{buildroot}%{_javadocdir}/%{name}

# aot bits
%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif


%clean
rm -rf %{buildroot}

%post
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ] 
then
%{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ] 
then
%{_bindir}/rebuild-gcj-db
fi
%endif



%files
%defattr(-,root,root,-)
%doc 7zFormat.txt Methods.txt history.txt lzma.txt
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%if %{with_gcj}
%{_libdir}/gcj/%{name}/
%endif


%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}/


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.65-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 07 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 4.65-1
- Initial Fedora build
